#
# This is the make file for the graphic driver's subdirectory.
#
#				Gershon Elber, June 1993
#

include ../makeflag.sas

GRAPDRVS=nuldrvs amidrvs 

nuldrvs: nuldrvs.o gen_grap.o
	slink from lib:c.o nuldrvs.o gen_grap.o to nuldrvs sc $(SYMS) noicons\
lib $(LIBS) $(MORELIBS) $(GRAPGLLIBS) $(MATHLIB) lib:scnb.lib

AMIDRVS_DRAW = drawln3d.o drawptvc.o drawpoly.o draw_crv.o draw_mdl.o \
               draw_srf.o draw_str.o drawtsrf.o drawtriv.o drawtris.o \
	       draw_obj.o sketches.o

amidrvs: amidrvs.o gen_grap.o $(AMIDRVS_DRAW)
	slink from lib:c.o amidrvs.o gen_grap.o $(AMIDRVS_DRAW) to amidrvs\
sc $(SYMS) noicons lib $(LIBS) $(MORELIBS) $(GRAPGLLIBS) $(MATHLIB)\
lib:scnb.lib

install: $(GRAPDRVS)
	mv -f $(GRAPDRVS) $(BIN_DIR)
	cp *drvs.cfg $(BIN_DIR)


# DO NOT DELETE THIS LINE -- make depend depends on it.

amidrvs.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritprsr.h
amidrvs.o: ../include/cagd_lib.h ../include/miscattr.h ../include/symb_lib.h
amidrvs.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
amidrvs.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
amidrvs.o: ../include/obj_dpnd.h ../include/attribut.h ../include/ip_cnvrt.h
amidrvs.o: ../include/iritgrap.h ../include/geom_lib.h
djgdrvs.o: djggraph.h ../include/iritgrap.h ../include/irit_sm.h
djgdrvs.o: ../include/misc_lib.h ../include/iritprsr.h ../include/cagd_lib.h
djgdrvs.o: ../include/miscattr.h ../include/symb_lib.h ../include/trim_lib.h
djgdrvs.o: ../include/triv_lib.h ../include/trng_lib.h ../include/mdl_lib.h
djgdrvs.o: ../include/mvar_lib.h ../include/geom_lib.h ../include/attribut.h
djggraph.o: djggraph.h ../include/iritgrap.h ../include/irit_sm.h
djggraph.o: ../include/misc_lib.h ../include/iritprsr.h ../include/cagd_lib.h
djggraph.o: ../include/miscattr.h ../include/symb_lib.h ../include/trim_lib.h
djggraph.o: ../include/triv_lib.h ../include/trng_lib.h ../include/mdl_lib.h
djggraph.o: ../include/mvar_lib.h ../include/geom_lib.h ../include/attribut.h
draw_crv.o: ../include/irit_sm.h ../include/iritprsr.h ../include/cagd_lib.h
draw_crv.o: ../include/miscattr.h ../include/misc_lib.h ../include/symb_lib.h
draw_crv.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
draw_crv.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
draw_crv.o: ../include/obj_dpnd.h ../include/ip_cnvrt.h ../include/attribut.h
draw_crv.o: ../include/iritgrap.h ../include/geom_lib.h
draw_mdl.o: ../include/irit_sm.h ../include/iritprsr.h ../include/cagd_lib.h
draw_mdl.o: ../include/miscattr.h ../include/misc_lib.h ../include/symb_lib.h
draw_mdl.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
draw_mdl.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
draw_mdl.o: ../include/obj_dpnd.h ../include/attribut.h ../include/ip_cnvrt.h
draw_mdl.o: ../include/geom_lib.h ../include/iritgrap.h
draw_obj.o: ../include/irit_sm.h ../include/iritprsr.h ../include/cagd_lib.h
draw_obj.o: ../include/miscattr.h ../include/misc_lib.h ../include/symb_lib.h
draw_obj.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
draw_obj.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/iritgrap.h
draw_obj.o: ../include/geom_lib.h ../include/attribut.h ../include/allocate.h
draw_obj.o: ../include/obj_dpnd.h
draw_srf.o: ../include/irit_sm.h ../include/iritprsr.h ../include/cagd_lib.h
draw_srf.o: ../include/miscattr.h ../include/misc_lib.h ../include/symb_lib.h
draw_srf.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
draw_srf.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
draw_srf.o: ../include/obj_dpnd.h ../include/attribut.h ../include/user_lib.h
draw_srf.o: ../include/ip_cnvrt.h ../include/geom_lib.h ../include/iritgrap.h
draw_str.o: ../include/irit_sm.h ../include/iritprsr.h ../include/cagd_lib.h
draw_str.o: ../include/miscattr.h ../include/misc_lib.h ../include/symb_lib.h
draw_str.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
draw_str.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/attribut.h
draw_str.o: ../include/allocate.h ../include/obj_dpnd.h ../include/geom_lib.h
draw_str.o: ../include/iritgrap.h
drawln3d.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritgrap.h
drawln3d.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
drawln3d.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
drawln3d.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
drawln3d.o: ../include/geom_lib.h ../include/attribut.h
drawpoly.o: ../include/irit_sm.h ../include/iritprsr.h ../include/cagd_lib.h
drawpoly.o: ../include/miscattr.h ../include/misc_lib.h ../include/symb_lib.h
drawpoly.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
drawpoly.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/iritgrap.h
drawpoly.o: ../include/geom_lib.h ../include/attribut.h
drawptvc.o: ../include/irit_sm.h ../include/iritprsr.h ../include/cagd_lib.h
drawptvc.o: ../include/miscattr.h ../include/misc_lib.h ../include/symb_lib.h
drawptvc.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
drawptvc.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/iritgrap.h
drawptvc.o: ../include/geom_lib.h ../include/attribut.h
drawtris.o: ../include/irit_sm.h ../include/iritprsr.h ../include/cagd_lib.h
drawtris.o: ../include/miscattr.h ../include/misc_lib.h ../include/symb_lib.h
drawtris.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
drawtris.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
drawtris.o: ../include/obj_dpnd.h ../include/attribut.h ../include/ip_cnvrt.h
drawtris.o: ../include/iritgrap.h ../include/geom_lib.h
drawtriv.o: ../include/irit_sm.h ../include/iritprsr.h ../include/cagd_lib.h
drawtriv.o: ../include/miscattr.h ../include/misc_lib.h ../include/symb_lib.h
drawtriv.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
drawtriv.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
drawtriv.o: ../include/obj_dpnd.h ../include/attribut.h ../include/ip_cnvrt.h
drawtriv.o: ../include/geom_lib.h ../include/iritgrap.h
drawtsrf.o: ../include/irit_sm.h ../include/iritprsr.h ../include/cagd_lib.h
drawtsrf.o: ../include/miscattr.h ../include/misc_lib.h ../include/symb_lib.h
drawtsrf.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
drawtsrf.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
drawtsrf.o: ../include/obj_dpnd.h ../include/attribut.h ../include/ip_cnvrt.h
drawtsrf.o: ../include/geom_lib.h ../include/iritgrap.h
editcrvs.o: ../include/irit_sm.h ../include/cagd_lib.h ../include/miscattr.h
editcrvs.o: ../include/misc_lib.h ../include/symb_lib.h ../include/user_lib.h
editcrvs.o: ../include/iritprsr.h ../include/trim_lib.h ../include/triv_lib.h
editcrvs.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
editcrvs.o: ../include/ip_cnvrt.h ../include/attribut.h ../include/allocate.h
editcrvs.o: ../include/obj_dpnd.h editcrvs.h ../include/iritgrap.h
editcrvs.o: ../include/geom_lib.h
editsrfs.o: ../include/irit_sm.h ../include/cagd_lib.h ../include/miscattr.h
editsrfs.o: ../include/misc_lib.h ../include/symb_lib.h ../include/user_lib.h
editsrfs.o: ../include/iritprsr.h ../include/trim_lib.h ../include/triv_lib.h
editsrfs.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
editsrfs.o: ../include/ip_cnvrt.h ../include/attribut.h ../include/allocate.h
editsrfs.o: ../include/obj_dpnd.h editcrvs.h ../include/iritgrap.h
editsrfs.o: ../include/geom_lib.h editsrfs.h
gen_grap.o: ../include/irit_sm.h ../include/misc_lib.h ../include/ip_cnvrt.h
gen_grap.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
gen_grap.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
gen_grap.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
gen_grap.o: ../include/attribut.h ../include/allocate.h ../include/obj_dpnd.h
gen_grap.o: ../include/bool_lib.h ../include/user_lib.h ../include/geom_lib.h
gen_grap.o: ../include/iritgrap.h editcrvs.h editsrfs.h
hpsbutil.o: xsbdrvs.h
nuldrvs.o: ../include/irit_sm.h ../include/iritprsr.h ../include/cagd_lib.h
nuldrvs.o: ../include/miscattr.h ../include/misc_lib.h ../include/symb_lib.h
nuldrvs.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
nuldrvs.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
nuldrvs.o: ../include/obj_dpnd.h ../include/attribut.h ../include/iritgrap.h
nuldrvs.o: ../include/geom_lib.h
open_gl.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritprsr.h
open_gl.o: ../include/cagd_lib.h ../include/miscattr.h ../include/symb_lib.h
open_gl.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
open_gl.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
open_gl.o: ../include/obj_dpnd.h ../include/attribut.h ../include/geom_lib.h
open_gl.o: ../include/iritgrap.h
os2drvs.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritprsr.h
os2drvs.o: ../include/cagd_lib.h ../include/miscattr.h ../include/symb_lib.h
os2drvs.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
os2drvs.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
os2drvs.o: ../include/obj_dpnd.h ../include/attribut.h ../include/ip_cnvrt.h
os2drvs.o: ../include/iritgrap.h ../include/geom_lib.h os2drvs.h
sketches.o: ../include/irit_sm.h ../include/iritprsr.h ../include/cagd_lib.h
sketches.o: ../include/miscattr.h ../include/misc_lib.h ../include/symb_lib.h
sketches.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
sketches.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
sketches.o: ../include/obj_dpnd.h ../include/attribut.h ../include/user_lib.h
sketches.o: ../include/ip_cnvrt.h ../include/iritgrap.h ../include/geom_lib.h
wnt_anim.o: ../include/irit_sm.h ../include/iritgrap.h ../include/misc_lib.h
wnt_anim.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
wnt_anim.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
wnt_anim.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
wnt_anim.o: ../include/geom_lib.h ../include/attribut.h wntdrvs.h
wnt_crvs.o: ../include/irit_sm.h ../include/iritgrap.h ../include/misc_lib.h
wnt_crvs.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
wnt_crvs.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
wnt_crvs.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
wnt_crvs.o: ../include/geom_lib.h ../include/attribut.h wntdrvs.h editcrvs.h
wnt_env.o: ../include/irit_sm.h ../include/iritgrap.h ../include/misc_lib.h
wnt_env.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
wnt_env.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
wnt_env.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
wnt_env.o: ../include/geom_lib.h ../include/attribut.h wntdrvs.h
wnt_ogl.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritprsr.h
wnt_ogl.o: ../include/cagd_lib.h ../include/miscattr.h ../include/symb_lib.h
wnt_ogl.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
wnt_ogl.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/attribut.h
wnt_ogl.o: ../include/iritgrap.h ../include/geom_lib.h editcrvs.h wntdrvs.h
wnt_pick.o: ../include/irit_sm.h ../include/iritgrap.h ../include/misc_lib.h
wnt_pick.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
wnt_pick.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
wnt_pick.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
wnt_pick.o: ../include/geom_lib.h ../include/attribut.h wntdrvs.h
wnt_shad.o: ../include/irit_sm.h ../include/iritgrap.h ../include/misc_lib.h
wnt_shad.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
wnt_shad.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
wnt_shad.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
wnt_shad.o: ../include/geom_lib.h ../include/attribut.h wntdrvs.h
wnt_srfs.o: ../include/irit_sm.h ../include/iritgrap.h ../include/misc_lib.h
wnt_srfs.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
wnt_srfs.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
wnt_srfs.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
wnt_srfs.o: ../include/geom_lib.h ../include/attribut.h wntdrvs.h editsrfs.h
wnt_srfs.o: editcrvs.h
wnt_win.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritprsr.h
wnt_win.o: ../include/cagd_lib.h ../include/miscattr.h ../include/symb_lib.h
wnt_win.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
wnt_win.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
wnt_win.o: ../include/obj_dpnd.h ../include/attribut.h ../include/ip_cnvrt.h
wnt_win.o: ../include/iritgrap.h ../include/geom_lib.h editcrvs.h wntdrvs.h
wntdrvs.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritprsr.h
wntdrvs.o: ../include/cagd_lib.h ../include/miscattr.h ../include/symb_lib.h
wntdrvs.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
wntdrvs.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
wntdrvs.o: ../include/obj_dpnd.h ../include/attribut.h ../include/ip_cnvrt.h
wntdrvs.o: ../include/iritgrap.h ../include/geom_lib.h editcrvs.h editsrfs.h
wntdrvs.o: wntdrvs.h
x11draw.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritprsr.h
x11draw.o: ../include/cagd_lib.h ../include/miscattr.h ../include/symb_lib.h
x11draw.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
x11draw.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/iritgrap.h
x11draw.o: ../include/geom_lib.h ../include/attribut.h ../include/allocate.h
x11draw.o: ../include/obj_dpnd.h x11drvs.h
x11drvs.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritprsr.h
x11drvs.o: ../include/cagd_lib.h ../include/miscattr.h ../include/symb_lib.h
x11drvs.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
x11drvs.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
x11drvs.o: ../include/obj_dpnd.h ../include/attribut.h ../include/ip_cnvrt.h
x11drvs.o: ../include/iritgrap.h ../include/geom_lib.h editcrvs.h x11drvs.h
xgladap.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritprsr.h
xgladap.o: ../include/cagd_lib.h ../include/miscattr.h ../include/symb_lib.h
xgladap.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
xgladap.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
xgladap.o: ../include/obj_dpnd.h ../include/attribut.h ../include/ip_cnvrt.h
xgladap.o: ../include/iritgrap.h ../include/geom_lib.h
xgldraw.o: ../include/irit_sm.h ../include/attribut.h ../include/iritprsr.h
xgldraw.o: ../include/cagd_lib.h ../include/miscattr.h ../include/misc_lib.h
xgldraw.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
xgldraw.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
xgldraw.o: xgldrvs.h ../include/iritgrap.h ../include/geom_lib.h
xgldraw.o: ../include/allocate.h ../include/obj_dpnd.h
xgldrvs.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritprsr.h
xgldrvs.o: ../include/cagd_lib.h ../include/miscattr.h ../include/symb_lib.h
xgldrvs.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
xgldrvs.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
xgldrvs.o: ../include/obj_dpnd.h ../include/attribut.h ../include/ip_cnvrt.h
xgldrvs.o: ../include/iritgrap.h ../include/geom_lib.h xgldrvs.h
xmt_anim.o: ../include/irit_sm.h ../include/iritgrap.h ../include/misc_lib.h
xmt_anim.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
xmt_anim.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
xmt_anim.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
xmt_anim.o: ../include/geom_lib.h ../include/attribut.h xmtdrvs.h x11drvs.h
xmt_crvs.o: ../include/irit_sm.h ../include/iritgrap.h ../include/misc_lib.h
xmt_crvs.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
xmt_crvs.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
xmt_crvs.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
xmt_crvs.o: ../include/geom_lib.h ../include/attribut.h xmtdrvs.h x11drvs.h
xmt_crvs.o: editcrvs.h
xmt_pick.o: ../include/irit_sm.h ../include/iritgrap.h ../include/misc_lib.h
xmt_pick.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
xmt_pick.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
xmt_pick.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
xmt_pick.o: ../include/geom_lib.h ../include/attribut.h xmtdrvs.h x11drvs.h
xmt_shad.o: ../include/irit_sm.h ../include/iritgrap.h ../include/misc_lib.h
xmt_shad.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
xmt_shad.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
xmt_shad.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
xmt_shad.o: ../include/geom_lib.h ../include/attribut.h xmtdrvs.h x11drvs.h
xmt_srfs.o: ../include/irit_sm.h ../include/iritgrap.h ../include/misc_lib.h
xmt_srfs.o: ../include/iritprsr.h ../include/cagd_lib.h ../include/miscattr.h
xmt_srfs.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
xmt_srfs.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
xmt_srfs.o: ../include/geom_lib.h ../include/attribut.h xmtdrvs.h x11drvs.h
xmt_srfs.o: editsrfs.h editcrvs.h
xmtdrvs.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritprsr.h
xmtdrvs.o: ../include/cagd_lib.h ../include/miscattr.h ../include/symb_lib.h
xmtdrvs.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
xmtdrvs.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
xmtdrvs.o: ../include/obj_dpnd.h ../include/attribut.h ../include/ip_cnvrt.h
xmtdrvs.o: ../include/iritgrap.h ../include/geom_lib.h editcrvs.h editsrfs.h
xmtdrvs.o: xmtdrvs.h x11drvs.h xgldrvs.h
xogldraw.o: ../include/irit_sm.h ../include/misc_lib.h ../include/iritprsr.h
xogldraw.o: ../include/cagd_lib.h ../include/miscattr.h ../include/symb_lib.h
xogldraw.o: ../include/trim_lib.h ../include/triv_lib.h ../include/trng_lib.h
xogldraw.o: ../include/mdl_lib.h ../include/mvar_lib.h ../include/allocate.h
xogldraw.o: ../include/obj_dpnd.h ../include/attribut.h ../include/iritgrap.h
xogldraw.o: ../include/geom_lib.h xmtdrvs.h x11drvs.h
xsbdraw.o: ../include/irit_sm.h ../include/attribut.h ../include/iritprsr.h
xsbdraw.o: ../include/cagd_lib.h ../include/miscattr.h ../include/misc_lib.h
xsbdraw.o: ../include/symb_lib.h ../include/trim_lib.h ../include/triv_lib.h
xsbdraw.o: ../include/trng_lib.h ../include/mdl_lib.h ../include/mvar_lib.h
xsbdraw.o: ../include/iritgrap.h ../include/geom_lib.h x11drvs.h xsbdrvs.h
